/**
 * v1.2 - Copyright 2015 Madden Media - All rights reserved.
 *
 * A set of parallax design functionality.
 */
!function(a){"use strict";a.fn.parallaxBG=function(b){var c=a(window).height(),d=0,e=a(window).scrollTop(),f=0,g=0,h=a.extend({adjustX:0,adjustY:0,bgXOffset:0,bgYOffset:0,bgXPosition:"100%",bgYPosition:"100%"},b);return this.each(function(){var b=a(this);a(window).scroll(function(){var i=h.bgXAdjust,j=b.css("backgroundPosition").split(" ");parseInt(j[0]);if(e=a(window).scrollTop(),f=b.offset().top,g=b.outerHeight(),e<d&&0!=i&&(i*=-1),d=e,!(f+g<=e||f>=e+c)){var l=0==h.adjustX?h.bgXPosition:Math.round((f-e)*h.adjustX)+0+h.bgXOffset+"px",m=0==h.adjustY?h.bgYPosition:Math.round((f-e)*h.adjustY)+0+h.bgYOffset+"px";b.css("background-position",l+" "+m)}})})},a.fn.parallaxLockElement=function(b){var c=!1,d=a.extend({parentEl:"",offsetTop:0,additionalCSS:void 0,onLock:void 0,onRelease:void 0},b);return this.each(function(){var b=a(this),e=a(d.parentEl);a(window).scroll(function(){var f=parseInt(e.offset().top-a(window).scrollTop()-d.offsetTop),g=e.offset().top+e.outerHeight(),i=(parseInt(b.outerHeight()),e.offset().top+e.outerHeight()-(b.offset().top+b.outerHeight()));f<=0?g+i<=a(window).scrollTop()+a(window).innerHeight()?c&&(c=!1,b.css({position:"absolute",top:"inherit",bottom:i+"px"}),"function"==typeof d.onRelease&&d.onRelease(this)):(b.css({position:"fixed",top:d.offsetTop+"px",bottom:"auto"}),"function"==typeof d.onLock&&d.onLock(this),c=!0):(b.css({position:"relative",top:"auto"}),"function"==typeof d.onRelease&&d.onRelease(this),c=!1),void 0!=d.additionalCSS&&b.css(d.additionalCSS)})})},a.fn.parallaxAnimateElement=function(b){var c=new Array,d=0,e=0,f=!1,g=a.extend({frames:1,elementClass:"floatingElement",elementFrameClassRoot:"frame",startOffset:null,endOffset:null,showWhenCentered:!1,centerOffsetAnimationRange:null,lock:!1,parentEl:"",offsetTop:0,additionalCSS:void 0,onLock:void 0,onRelease:void 0},b);g.lock?a(this).parallaxLockElement({parentEl:g.parentEl,offsetTop:g.offsetTop,additionalCSS:g.additionalCSS,onLock:g.onLock,onRelease:g.onRelease}):f=!0;var h=parseInt(a(this).parent().height());if(g.showWhenCentered)null==g.centerOffsetAnimationRange?g.centerOffsetAnimationRange=1:g.centerOffsetAnimationRange.indexOf("%")!=-1?g.centerOffsetAnimationRange=parseInt(g.centerOffsetAnimationRange)/100:g.centerOffsetAnimationRange=1;else{if(null!=g.startOffset)if(g.startOffset.indexOf("%")!=-1){var i=parseInt(g.startOffset)/100;d=Math.floor(h*i)}else{var i=parseInt(g.startOffset);d=i}if(null!=g.endOffset)if(g.endOffset.indexOf("%")!=-1){var i=parseInt(g.endOffset)/100;e=Math.floor(h-h*i)}else{var i=parseInt(g.endOffset);e=i}0==d&&0==e||(h=h-e-d);for(var j=h/g.frames,k=1;k<=g.frames;k++)c.push(Math.floor(d+j*k));f&&void 0!=g.additionalCSS&&a(this).css(g.additionalCSS)}return this.each(function(){var b=a(this),d=c.length,e=g.showWhenCentered?a(this).height()*g.centerOffsetAnimationRange:a(this).height();a(window).scroll(function(){var f=b.offset().top,h=!(f+b.outerHeight()<=a(window).scrollTop()||f>=a(window).scrollTop()+a(window).height());if(h){if(g.showWhenCentered){var i=parseInt(b.offset().top-a(window).scrollTop()),j=parseInt(i+e/2),k=parseInt(a(window).innerHeight()/2),l=parseInt(j-e),m=parseInt(j+e);if(k<l)d=1;else if(k>=l&&k<=m){var n=Math.max(0,Math.min(1,1-(l+(j-k))/j));d=Math.ceil(g.frames*n)}else d=g.frames}else for(var o=parseInt(b.parent().offset().top-a(window).scrollTop()),p=o*-1+e/2,q=0;q<c.length;q++)if(p<=c[q]){d=q+1;break}b.attr("class",g.elementClass+" "+g.elementFrameClassRoot+d)}})})}}(jQuery);

/*!
 * jQuery Scrollify
 * Version 1.0.19
 *
 * Requires:
 * - jQuery 1.7 or higher
 *
 * https://github.com/lukehaas/Scrollify
 *
 * Copyright 2016, Luke Haas
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



if touchScroll is false - update index

 */
(function (global,factory) {
  "use strict";
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['jquery'], function($) {
      return factory($, global, global.document);
    });
  } else if (typeof module === 'object' && module.exports) {
    // Node/CommonJS
    module.exports = factory(require('jquery'), global, global.document);
  } else {
    // Browser globals
    factory(jQuery, global, global.document);
  }
}(typeof window !== 'undefined' ? window : this, function ($, window, document, undefined) {
  "use strict";
  var heights = [],
    names = [],
    elements = [],
    overflow = [],
    index = 0,
    currentIndex = 0,
    interstitialIndex = 1,
    hasLocation = false,
    timeoutId,
    timeoutId2,
    $window = $(window),
    portHeight,
    top = $window.scrollTop(),
    scrollable = false,
    locked = false,
    scrolled = false,
    manualScroll,
    swipeScroll,
    util,
    disabled = false,
    scrollSamples = [],
    scrollTime = new Date().getTime(),
    firstLoad = true,
    initialised = false,
    destination = 0,
    wheelEvent = 'onwheel' in document ? 'wheel' : document.onmousewheel !== undefined ? 'mousewheel' : 'DOMMouseScroll',
    settings = {
      //section should be an identifier that is the same for each section
      section: ".section",
      sectionName: "section-name",
      interstitialSection: "",
      easing: "easeOutExpo",
      scrollSpeed: 1100,
      offset: 0,
      scrollbars: true,
      target:"html,body",
      standardScrollElements: false,
      setHeights: true,
      overflowScroll:true,
      updateHash: true,
      touchScroll:true,
      before:function() {},
      after:function() {},
      afterResize:function() {},
      afterRender:function() {}
    };
  function getportHeight() {
    return ($window.height() + settings.offset);
  }
  function animateScroll(index,instant,callbacks,toTop) {
    if(currentIndex===index) {
      callbacks = false;
    }
    if(disabled===true) {
      return true;
    }
    if(names[index]) {
      scrollable = false;
      if(firstLoad===true) {
        settings.afterRender();
        firstLoad = false;
      }
      if(callbacks) {
        if( typeof settings.before == 'function' && settings.before(index,elements) === false ){
          return true;
        }
      }
      interstitialIndex = 1;
      destination = heights[index];
      if(firstLoad===false && currentIndex>index && toTop===false) {
        //We're going backwards
        if(overflow[index]) {
          portHeight = getportHeight();

          interstitialIndex = parseInt(elements[index].outerHeight()/portHeight);

          destination = parseInt(heights[index])+(elements[index].outerHeight()-portHeight);
        }
      }


      if(settings.updateHash && settings.sectionName && !(firstLoad===true && index===0)) {
        if(history.pushState) {
            try {
              history.replaceState(null, null, names[index]);
            } catch (e) {
              if(window.console) {
                console.warn("Scrollify warning: Page must be hosted to manipulate the hash value.");
              }
            }

        } else {
          window.location.hash = names[index];
        }
      }

      currentIndex = index;
      if(instant) {
        $(settings.target).stop().scrollTop(destination);
        if(callbacks) {
          settings.after(index,elements);
        }
      } else {
        locked = true;
        if( $().velocity ) {
          $(settings.target).stop().velocity('scroll', {
            duration: settings.scrollSpeed,
            easing: settings.easing,
            offset: destination,
            mobileHA: false
          });
        } else {
          $(settings.target).stop().animate({
            scrollTop: destination
          }, settings.scrollSpeed,settings.easing);
        }

        if(window.location.hash.length && settings.sectionName && window.console) {
          try {
            if($(window.location.hash).length) {
              console.warn("Scrollify warning: ID matches hash value - this will cause the page to anchor.");
            }
          } catch (e) {}
        }
        $(settings.target).promise().done(function(){
          locked = false;
          firstLoad = false;
          if(callbacks) {
            settings.after(index,elements);
          }
        });
      }

    }
  }

  function isAccelerating(samples) {
    function average(num) {
      var sum = 0;

      var lastElements = samples.slice(Math.max(samples.length - num, 1));

      for(var i = 0; i < lastElements.length; i++){
          sum += lastElements[i];
      }

      return Math.ceil(sum/num);
    }

    var avEnd = average(10);
    var avMiddle = average(70);

    if(avEnd >= avMiddle) {
      return true;
    } else {
      return false;
    }
  }
  var scrollify = function(options) {
    initialised = true;
    $.easing['easeOutExpo'] = function(x, t, b, c, d) {
      return (t==d) ? b+c : c * (-Math.pow(2, -10 * t/d) + 1) + b;
    };

    manualScroll = {
      handleMousedown:function() {
        if(disabled===true) {
          return true;
        }
        scrollable = false;
        scrolled = false;
      },
      handleMouseup:function() {
        if(disabled===true) {
          return true;
        }
        scrollable = true;
        if(scrolled) {
          //instant,callbacks
          manualScroll.calculateNearest(false,true);
        }
      },
      handleScroll:function() {
        if(disabled===true) {
          return true;
        }
        if(timeoutId){
          clearTimeout(timeoutId);
        }

        timeoutId = setTimeout(function(){
          scrolled = true;
          if(scrollable===false) {
            return false;
          }
          scrollable = false;
          //instant,callbacks
          manualScroll.calculateNearest(false,true);
        }, 200);
      },
      calculateNearest:function(instant,callbacks) {
        top = $window.scrollTop();
        var i =1,
          max = heights.length,
          closest = 0,
          prev = Math.abs(heights[0] - top),
          diff;
        for(;i<max;i++) {
          diff = Math.abs(heights[i] - top);

          if(diff < prev) {
            prev = diff;
            closest = i;
          }
        }
        if((atBottom() && closest>index) || atTop()) {
          index = closest;
          //index, instant, callbacks, toTop
          animateScroll(closest,instant,callbacks,false);
        }
      },
      wheelHandler:function(e) {
        if(disabled===true) {
          return true;
        } else if(settings.standardScrollElements) {
          if($(e.target).is(settings.standardScrollElements) || $(e.target).closest(settings.standardScrollElements).length) {
            return true;
          }
        }
        if(!overflow[index]) {
          e.preventDefault();
        }
        var currentScrollTime = new Date().getTime();


        e = e || window.event;
        var value = e.originalEvent.wheelDelta || -e.originalEvent.deltaY || -e.originalEvent.detail;
        var delta = Math.max(-1, Math.min(1, value));

        //delta = delta || -e.originalEvent.detail / 3 || e.originalEvent.wheelDelta / 120;

        if(scrollSamples.length > 149){
          scrollSamples.shift();
        }
        //scrollSamples.push(Math.abs(delta*10));
        scrollSamples.push(Math.abs(value));

        if((currentScrollTime-scrollTime) > 200){
          scrollSamples = [];
        }
        scrollTime = currentScrollTime;


        if(locked) {
          return false;
        }
        if(delta<0) {
          if(index<heights.length-1) {
            if(atBottom()) {
              if(isAccelerating(scrollSamples)) {
                e.preventDefault();
                index++;
                locked = true;
                //index, instant, callbacks, toTop
                animateScroll(index,false,true, false);
              } else {
                return false;
              }
            }
          }
        } else if(delta>0) {
          if(index>0) {
            if(atTop()) {
              if(isAccelerating(scrollSamples)) {
                e.preventDefault();
                index--;
                locked = true;
                //index, instant, callbacks, toTop
                animateScroll(index,false,true, false);
              } else {
                return false
              }
            }
          }
        }

      },
      keyHandler:function(e) {
        if(disabled===true || document.activeElement.readOnly===false) {
          return true;
        } else if(settings.standardScrollElements) {
          if($(e.target).is(settings.standardScrollElements) || $(e.target).closest(settings.standardScrollElements).length) {
            return true;
          }
        }
        if(locked===true) {
          return false;
        }
        if(e.keyCode==38 || e.keyCode==33) {
          if(index>0) {
            if(atTop()) {
              e.preventDefault();
              index--;
              //index, instant, callbacks, toTop
              animateScroll(index,false,true,false);
            }
          }
        } else if(e.keyCode==40 || e.keyCode==34) {
          if(index<heights.length-1) {
            if(atBottom()) {
              e.preventDefault();
              index++;
              //index, instant, callbacks, toTop
              animateScroll(index,false,true,false);
            }
          }
        }
      },
      init:function() {
        if(settings.scrollbars) {
          $window.on('mousedown', manualScroll.handleMousedown);
          $window.on('mouseup', manualScroll.handleMouseup);
          $window.on('scroll', manualScroll.handleScroll);
        } else {
          $("body").css({"overflow":"hidden"});
        }
        $window.on(wheelEvent,manualScroll.wheelHandler);
        //$(document).bind(wheelEvent,manualScroll.wheelHandler);
        $window.on('keydown', manualScroll.keyHandler);
      }
    };

    swipeScroll = {
      touches : {
        "touchstart": {"y":-1,"x":-1},
        "touchmove" : {"y":-1,"x":-1},
        "touchend"  : false,
        "direction" : "undetermined"
      },
      options:{
        "distance" : 30,
        "timeGap" : 800,
        "timeStamp" : new Date().getTime()
      },
      touchHandler: function(event) {
        if(disabled===true) {
          return true;
        } else if(settings.standardScrollElements) {
          if($(event.target).is(settings.standardScrollElements) || $(event.target).closest(settings.standardScrollElements).length) {
            return true;
          }
        }
        var touch;
        if (typeof event !== 'undefined'){
          if (typeof event.touches !== 'undefined') {
            touch = event.touches[0];
            switch (event.type) {
              case 'touchstart':
                swipeScroll.touches.touchstart.y = touch.pageY;
                swipeScroll.touches.touchmove.y = -1;

                swipeScroll.touches.touchstart.x = touch.pageX;
                swipeScroll.touches.touchmove.x = -1;

                swipeScroll.options.timeStamp = new Date().getTime();
                swipeScroll.touches.touchend = false;
              case 'touchmove':
                swipeScroll.touches.touchmove.y = touch.pageY;
                swipeScroll.touches.touchmove.x = touch.pageX;
                if(swipeScroll.touches.touchstart.y!==swipeScroll.touches.touchmove.y && (Math.abs(swipeScroll.touches.touchstart.y-swipeScroll.touches.touchmove.y)>Math.abs(swipeScroll.touches.touchstart.x-swipeScroll.touches.touchmove.x))) {
                  //if(!overflow[index]) {
                    event.preventDefault();
                  //}
                  swipeScroll.touches.direction = "y";
                  if((swipeScroll.options.timeStamp+swipeScroll.options.timeGap)<(new Date().getTime()) && swipeScroll.touches.touchend == false) {

                    swipeScroll.touches.touchend = true;
                    if (swipeScroll.touches.touchstart.y > -1) {

                      if(Math.abs(swipeScroll.touches.touchmove.y-swipeScroll.touches.touchstart.y)>swipeScroll.options.distance) {
                        if(swipeScroll.touches.touchstart.y < swipeScroll.touches.touchmove.y) {

                          swipeScroll.up();

                        } else {
                          swipeScroll.down();

                        }
                      }
                    }
                  }
                }
                break;
              case 'touchend':
                if(swipeScroll.touches[event.type]===false) {
                  swipeScroll.touches[event.type] = true;
                  if (swipeScroll.touches.touchstart.y > -1 && swipeScroll.touches.touchmove.y > -1 && swipeScroll.touches.direction==="y") {

                    if(Math.abs(swipeScroll.touches.touchmove.y-swipeScroll.touches.touchstart.y)>swipeScroll.options.distance) {
                      if(swipeScroll.touches.touchstart.y < swipeScroll.touches.touchmove.y) {
                        swipeScroll.up();

                      } else {
                        swipeScroll.down();

                      }
                    }
                    swipeScroll.touches.touchstart.y = -1;
                    swipeScroll.touches.touchstart.x = -1;
                    swipeScroll.touches.direction = "undetermined";
                  }
                }
              default:
                break;
            }
          }
        }
      },
      down: function() {

        if(index<heights.length) {

          if(atBottom() && index<heights.length-1) {

            index++;
            //index, instant, callbacks, toTop
            animateScroll(index,false,true,false);
          } else {
            portHeight = getportHeight();
            if(Math.floor(elements[index].height()/portHeight)>interstitialIndex) {

              interstitialScroll(parseInt(heights[index])+(portHeight*interstitialIndex));
              interstitialIndex += 1;

            } else {
              interstitialScroll(parseInt(heights[index])+(elements[index].outerHeight()-portHeight));
            }

          }
        }
      },
      up: function() {
        if(index>=0) {
          if(atTop() && index>0) {

            index--;
            //index, instant, callbacks, toTop
            animateScroll(index,false,true,false);
          } else {

            if(interstitialIndex>2) {
              portHeight = getportHeight();

              interstitialIndex -= 1;
              interstitialScroll(parseInt(heights[index])+(portHeight*interstitialIndex));

            } else {

              interstitialIndex = 1;
              interstitialScroll(parseInt(heights[index]));
            }
          }

        }
      },
      init: function() {
        if (document.addEventListener && settings.touchScroll) {
          var eventListenerOptions = {
            passive: false
          };
          document.addEventListener('touchstart', swipeScroll.touchHandler, eventListenerOptions);
          document.addEventListener('touchmove', swipeScroll.touchHandler, eventListenerOptions);
          document.addEventListener('touchend', swipeScroll.touchHandler, eventListenerOptions);
        }
      }
    };


    util = {
      refresh:function(withCallback,scroll) {
        clearTimeout(timeoutId2);
        timeoutId2 = setTimeout(function() {
          //retain position
          sizePanels(true);
          //scroll, firstLoad
          calculatePositions(scroll,false);
          if(withCallback) {
              settings.afterResize();
          }
        },400);
      },
      handleUpdate:function() {
        //callbacks, scroll
        //changed from false,true to false,false
        util.refresh(false,false);
      },
      handleResize:function() {
        //callbacks, scroll
        util.refresh(true,false);
      },
      handleOrientation:function() {
        //callbacks, scroll
        util.refresh(true,true);
      }
    };
    settings = $.extend(settings, options);

    //retain position
    sizePanels(false);

    calculatePositions(false,true);

    if(true===hasLocation) {
      //index, instant, callbacks, toTop
      animateScroll(index,false,true,true);
    } else {
      setTimeout(function() {
        //instant,callbacks
        manualScroll.calculateNearest(true,false);
      },200);
    }
    if(heights.length) {
      manualScroll.init();
      swipeScroll.init();

      $window.on("resize",util.handleResize);
      if (document.addEventListener) {
        window.addEventListener("orientationchange", util.handleOrientation, false);
      }
    }
    function interstitialScroll(pos) {
      if( $().velocity ) {
        $(settings.target).stop().velocity('scroll', {
          duration: settings.scrollSpeed,
          easing: settings.easing,
          offset: pos,
          mobileHA: false
        });
      } else {
        $(settings.target).stop().animate({
          scrollTop: pos
        }, settings.scrollSpeed,settings.easing);
      }
    }

    function sizePanels(keepPosition) {
      if(keepPosition) {
        top = $window.scrollTop();
      }

      var selector = settings.section;
      overflow = [];
      if(settings.interstitialSection.length) {
        selector += "," + settings.interstitialSection;
      }
      if(settings.scrollbars===false) {
        settings.overflowScroll = false;
      }
      portHeight = getportHeight();
      $(selector).each(function(i) {
        var $this = $(this);

        if(settings.setHeights) {
          if($this.is(settings.interstitialSection)) {
            overflow[i] = false;
          } else {
            if(($this.css("height","auto").outerHeight()<portHeight) || $this.css("overflow")==="hidden") {
              $this.css({"height":portHeight});

              overflow[i] = false;
            } else {

              $this.css({"height":$this.height()});

              if(settings.overflowScroll) {
                overflow[i] = true;
              } else {
                overflow[i] = false;
              }
            }

          }

        } else {

          if(($this.outerHeight()<portHeight) || (settings.overflowScroll===false)) {
            overflow[i] = false;
          } else {
            overflow[i] = true;
          }
        }
      });
      if(keepPosition) {
        $window.scrollTop(top);
      }
    }
    function calculatePositions(scroll,firstLoad) {
      var selector = settings.section;
      if(settings.interstitialSection.length) {
        selector += "," + settings.interstitialSection;
      }
      heights = [];
      names = [];
      elements = [];
      $(selector).each(function(i){
          var $this = $(this);
          if(i>0) {
            heights[i] = parseInt($this.offset().top) + settings.offset;
          } else {
            heights[i] = parseInt($this.offset().top);
          }
          if(settings.sectionName && $this.data(settings.sectionName)) {
            names[i] = "#" + $this.data(settings.sectionName).toString().replace(/ /g,"-");
          } else {
            if($this.is(settings.interstitialSection)===false) {
              names[i] = "#" + (i + 1);
            } else {
              names[i] = "#";
              if(i===$(selector).length-1 && i>1) {
                heights[i] = heights[i-1] + (parseInt($($(selector)[i-1]).outerHeight()) - parseInt($(window).height())) + parseInt($this.outerHeight());
              }
            }
          }
          elements[i] = $this;
          try {
            if($(names[i]).length && window.console) {
              console.warn("Scrollify warning: Section names can't match IDs - this will cause the browser to anchor.");
            }
          } catch (e) {}

          if(window.location.hash===names[i]) {
            index = i;
            hasLocation = true;
          }

      });

      if(true===scroll) {
        //index, instant, callbacks, toTop
        animateScroll(index,false,false,false);
      }
    }

    function atTop() {
      if(!overflow[index]) {
        return true;
      }
      top = $window.scrollTop();
      if(top>parseInt(heights[index])) {
        return false;
      } else {
        return true;
      }
    }
    function atBottom() {
      if(!overflow[index]) {
        return true;
      }
      top = $window.scrollTop();
      portHeight = getportHeight();

      if(top<parseInt(heights[index])+(elements[index].outerHeight()-portHeight)-28) {

        return false;

      } else {
        return true;
      }
    }
  }

  function move(panel,instant) {
    var z = names.length;
    for(;z>=0;z--) {
      if(typeof panel === 'string') {
        if (names[z]===panel) {
          index = z;
          //index, instant, callbacks, toTop
          animateScroll(z,instant,true,true);
        }
      } else {
        if(z===panel) {
          index = z;
          //index, instant, callbacks, toTop
          animateScroll(z,instant,true,true);
        }
      }
    }
  }
  scrollify.move = function(panel) {
    if(panel===undefined) {
      return false;
    }
    if(panel.originalEvent) {
      panel = $(this).attr("href");
    }
    move(panel,false);
  };
  scrollify.instantMove = function(panel) {
    if(panel===undefined) {
      return false;
    }
    move(panel,true);
  };
  scrollify.next = function() {
    if(index<names.length) {
      index += 1;
      //index, instant, callbacks, toTop
      animateScroll(index,false,true,true);
    }
  };
  scrollify.previous = function() {
    if(index>0) {
      index -= 1;
      //index, instant, callbacks, toTop
      animateScroll(index,false,true,true);
    }
  };
  scrollify.instantNext = function() {
    if(index<names.length) {
      index += 1;
      //index, instant, callbacks, toTop
      animateScroll(index,true,true,true);
    }
  };
  scrollify.instantPrevious = function() {
    if(index>0) {
      index -= 1;
      //index, instant, callbacks, toTop
      animateScroll(index,true,true,true);
    }
  };
  scrollify.destroy = function() {
    if(!initialised) {
      return false;
    }
    if(settings.setHeights) {
      $(settings.section).each(function() {
        $(this).css("height","auto");
      });
    }
    $window.off("resize",util.handleResize);
    if(settings.scrollbars) {
      $window.off('mousedown', manualScroll.handleMousedown);
      $window.off('mouseup', manualScroll.handleMouseup);
      $window.off('scroll', manualScroll.handleScroll);
    }
    $window.off(wheelEvent,manualScroll.wheelHandler);
    $window.off('keydown', manualScroll.keyHandler);

    if (document.addEventListener && settings.touchScroll) {
      document.removeEventListener('touchstart', swipeScroll.touchHandler, false);
      document.removeEventListener('touchmove', swipeScroll.touchHandler, false);
      document.removeEventListener('touchend', swipeScroll.touchHandler, false);
    }
    heights = [];
    names = [];
    elements = [];
    overflow = [];
  };
  scrollify.update = function() {
    if(!initialised) {
      return false;
    }
    util.handleUpdate();
  };
  scrollify.current = function() {
    return elements[index];
  };
  scrollify.currentIndex = function() {
    return index;
  };
  scrollify.disable = function() {
    disabled = true;
  };
  scrollify.enable = function() {
    disabled = false;
    if (initialised) {
      //instant,callbacks
      manualScroll.calculateNearest(false,false);
    }
  };
  scrollify.isDisabled = function() {
    return disabled;
  };
  scrollify.setOptions = function(updatedOptions) {
    if(!initialised) {
      return false;
    }
    if(typeof updatedOptions === "object") {
      settings = $.extend(settings, updatedOptions);
      util.handleUpdate();
    } else if(window.console) {
      console.warn("Scrollify warning: setOptions expects an object.");
    }
  };
  $.scrollify = scrollify;
  return scrollify;
}));


var _setChapterLinkCallback,_chapterSetCompleteCallback,_stickyTopBarProgressBarEl,_stickyTopBarHeight=0,_stickyTopBarOffset=0,_chapterTops=new Array,_onChapter=0,_stickyTopBarEl="#topBar",_mobileMenuEl="#mobileMenu",_socialMenuTriggerEl="#socialLinksTrigger",_topAndMobileMenuControl="#controlsTrigger",_chapterEl=".chapter",_chapterLinkEl=".chapterLink",_chapterElPrefix="#c",_multiSizeImageEl=".multiSize",_readMoreEl=void 0,_relatedLinkEl="#alsoLikeLinkWrap",_lazyLoadDataName="[data-load-type]",DEFAULT_SM_TEST_EL="#isSmall",DEFAULT_MD_TEST_EL="#isMedium",DEFAULT_LG_TEST_EL="#isLarge",IS_RESPONSIVE=document.addEventListener,_isSmall=!1,_isMedium=!1,_isLarge=!1,_lazyLoadObject=null;frameworksOnReady=function(e,t,r){initViewTypes(),initLayout(e,t,r)},frameworksOnScroll=function(){adjustScrollProgress()},frameworksOnTouchMove=function(){adjustScrollProgress()},frameworksOnResize=function(){initViewTypes(),adjustLayoutAfterResize()},initViewTypes=function(){_isSmall=0!=jQuery(DEFAULT_SM_TEST_EL).length&&"none"!=jQuery(DEFAULT_SM_TEST_EL).css("float"),_isMedium=0!=jQuery(DEFAULT_MD_TEST_EL).length&&"none"!=jQuery(DEFAULT_MD_TEST_EL).css("float"),_isLarge=0!=jQuery(DEFAULT_LG_TEST_EL).length&&"none"!=jQuery(DEFAULT_LG_TEST_EL).css("float")},initLayout=function(e,t,r){if(null!=e&&(_setChapterLinkCallback=e.setChapterLinkCallback||_setChapterLinkCallback,_chapterSetCompleteCallback=e.chapterSetCompleteCallback||_chapterSetCompleteCallback),null!=t&&(_stickyTopBarEl=t.topBar||_stickyTopBarEl,_mobileMenuEl=t.mobileMenuEl||_mobileMenuEl,_socialMenuTriggerEl=t.socialMenuTriggerEl||_socialMenuTriggerEl,_topAndMobileMenuControl=t.topAndMobileMenuControl||_topAndMobileMenuControl,_chapterEl=t.chapterEl||_chapterEl,_chapterLinkEl=t.chapterLinkEl||_chapterLinkEl,_chapterElPrefix=t.chapterElPrefix||_chapterElPrefix,_multiSizeImageEl=t.multiSizeImageEl||_multiSizeImageEl,_readMoreEl=t.readMoreEl||_readMoreEl,_relatedLinkEl=t.relatedLinkEl||_relatedLinkEl,_lazyLoadDataName=t.lazyLoadDataName||_lazyLoadDataName),jQuery.getScript("https://www.maddencdn.com/global/scripts/layout/madden-lazy-load-jquery-v1.0-min.js").done(function(e,t){_lazyLoadObject=jQuery("*[data-load-type]").lazyLoad()}).fail(function(e,t,r){console.log("NOTICE lazy load did not load.")}),jQuery(_mobileMenuEl).length){var o=jQuery(_mobileMenuEl),a=o.data("chapters"),n=o.data("top-link"),i=o.data("close-trigger");try{jQuery(i).click(function(){toggleMobileMenu(_mobileMenuEl,_topAndMobileMenuControl)}),jQuery(n).click(function(){toTop(),toggleMobileMenu(_mobileMenuEl,_topAndMobileMenuControl)}),jQuery(a).children("div").each(function(t){jQuery(this).click(function(){toggleMobileMenu(_mobileMenuEl,_topAndMobileMenuControl);var e=jQuery(this).data("chapter");void 0===e?goToChapter(t+1):goToChapter(parseInt(e))})})}catch(e){console.log(e)}}if(jQuery(_socialMenuTriggerEl).length){var l=jQuery(_socialMenuTriggerEl),s=l.data("social-links"),c=l.data("social-links-class-off"),u=l.data("social-links-class-on"),p=l.data("trigger-class-off"),d=l.data("trigger-class-on");try{var h=jQuery(s);getIsDesktop()?h.on("mouseenter",function(e){l.attr("class",d)}).on("mouseleave",function(e){l.attr("class",p)}):jQuery(document).on("touchstart",s,function(e){h.attr("class",u),l.attr("class",d)}).on("touchend",function(){h.attr("class",c),l.attr("class",p)}).on("touchcancel",function(){h.attr("class",c),l.attr("class",p)})}catch(e){console.log(e)}}jQuery(".socialShare").each(function(){var e=jQuery(this).attr("class"),t="#",r=!1;if(-1!=e.indexOf("pinterest")){var o=jQuery(this).data("ogimage");t=buildSocialShareLink("PINTEREST",o)}else-1!=e.indexOf("twitter")?t=buildSocialShareLink("TWITTER",null):-1!=e.indexOf("facebook")&&(r=!0,t=buildSocialShareLink("FACEBOOK",null));null==t?jQuery(this).attr("href","javascript:alert('Sharing this site is not currently available.')"):r?(jQuery(this).attr("href","#"),jQuery(this).attr("onclick",t)):jQuery(this).attr("href",t)}),jQuery(_stickyTopBarEl).length&&(_stickyTopBarHeight=jQuery(_stickyTopBarEl).height(),null!=jQuery(_stickyTopBarEl).data("offset-el")&&0!=jQuery(jQuery(_stickyTopBarEl).data("offset-el")).length&&(_stickyTopBarOffset=jQuery(jQuery(_stickyTopBarEl).data("offset-el")).offset().top),null!=jQuery(_stickyTopBarEl).data("progress-bar-el")&&0!=jQuery(jQuery(_stickyTopBarEl).data("progress-bar-el")).length&&(_stickyTopBarProgressBarEl=jQuery(_stickyTopBarEl).data("progress-bar-el"))),null!=_readMoreEl&&(jQuery.isArray(_readMoreEl)||(_readMoreEl=[_readMoreEl]),jQuery.each(_readMoreEl,function(e,t){jQuery(t).click(function(){var e=0;null!=jQuery(t).data("offset-el")&&0!=jQuery(jQuery(t).data("offset-el")).length&&(e=jQuery(jQuery(t).data("offset-el")).offset().top),jQuery("html, body").animate({scrollTop:e-_stickyTopBarHeight},300)})})),r&&initChapterTops(!0),jQuery(_chapterLinkEl).click(function(){var e=jQuery(this).data("chapter");if(void 0!==e)goToChapter(parseInt(e));else{jQuery(this.hash);goToChapter(this.hash.substr(1))}return!1})},initChapterTops=function(e){var t=new Array;jQuery(_chapterEl).each(function(e){t[e]=Math.floor(jQuery(this).offset().top-_stickyTopBarHeight)}),_chapterTops=t,e&&adjustScrollProgress()},buildSocialShareLink=function(e,t){var r,o="",a="",n=encodeURIComponent(document.title),i=encodeURIComponent(t);if("file:"==location.protocol){var l=jQuery("body").data("online-url"),s=jQuery("link[rel='canonical']").href;if(void 0!==l?a=l:void 0!==s&&(a=s),""==a)return null}else""==a&&(a=[location.protocol,"//",location.host,location.pathname].join(""));switch(r=encodeURIComponent(a),e){case"FACEBOOK":o="window.open('https://www.facebook.com/sharer/sharer.php?u="+r+"','facebook-share-dialog', 'width=626,height=436'); return false;";break;case"PINTEREST":o="https://www.pinterest.com/pin/create/button/?url="+r+"&media="+i+"&description="+n;break;case"TWITTER":o="https://twitter.com/intent/tweet?text="+n+"%3A%20"+r+"&amp;source=webclient"}return o},buildRelatedLinks=function(e){for(var t=jQuery(_relatedLinkEl),r=0;r<e.length;r++){var o=r+1,a="<div class='linkWrapper'><a href='"+e[r].link+"' target='_blank'><div class='rLink rLink"+o+"'><div id='linkWrapper"+o+"' class='linkTitleWrapper'><div class='linkTitle'>"+e[r].title+"</div></div></div></a></div>";t.append(a)}},unFixBGImagesForIPads=function(e){e=void 0===e?".chapterImage":e,getIsLarge()&&getIsIPad()&&$(e).css("background-attachment","scroll")},getLazyLoadPluginObject=function(){return _lazyLoadObject},getCurrentChapter=function(){return _onChapter},getVisibleViewport=function(e){return e?window.innerHeight-_stickyTopBarHeight+"px":parseInt(window.innerHeight-_stickyTopBarHeight)},getViewportOffset=function(e,t){return t?jQuery(e).offset().top-jQuery(window).scrollTop()-_stickyTopBarHeight+"px":parseInt(jQuery(e).offset().top-jQuery(window).scrollTop()-_stickyTopBarHeight)},getItemInViewport=function(e){var t=jQuery(e).offset().top;return!(t+jQuery(e).outerHeight()<=jQuery(window).scrollTop()||t>=jQuery(window).scrollTop()+jQuery(window).height())},getItemInViewportCenter=function(e,t){var r=jQuery(e).offset().top,o=jQuery(window).height()/2;return t=t||0,!(r>=jQuery(window).scrollTop()+o+t||r<=jQuery(window).scrollTop()+o-t)},getStickyTopBarHeight=function(){return _stickyTopBarHeight},getIsSmall=function(){return _isSmall},getIsMedium=function(){return _isMedium},getIsLarge=function(){return _isLarge},getIsMobile=function(){return"undefined"!=typeof console&&console.log("%c NOTICE getIsMobile()) deprecated - use getIsSmall()","background:orange; color:black"),_isSmall},getIsTablet=function(){return"undefined"!=typeof console&&console.log("%c NOTICE getIsTablet()) deprecated - use getIsMedium()","background:orange; color:black"),_isMedium},getDoParallax=function(){return"undefined"!=typeof console&&console.log("%c NOTICE getDoParallax()) deprecated - use getIsLarge()","background:orange; color:black"),_isLarge},getIsDesktop=function(){return!/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)},getIsIPad=function(){return navigator.userAgent.match(/iPad;.*CPU.*OS/i)},getIsNewerIPad=function(){return!!getIsIPad()&&1!=window.devicePixelRatio},getIsResponsive=function(){return IS_RESPONSIVE},adjustLayoutAfterResize=function(){initChapterTops(!0)},adjustChapterLinksArtHeight=function(e,t){jQuery(e).css("height",jQuery(t).outerHeight())},adjustSizeToParentAndViewport=function(e,t){jQuery(e).css("height",getVisibleViewport(!0)),jQuery(e).css("width",jQuery(t).width())},adjustSizeHeightToParent=function(e,t){var r=jQuery(t).height();jQuery(e).css("height",r+"px")},equalizeElementHeightsToTallest=function(e){for(var t=0,r=0;r<e.length;r++){var o=jQuery(e[r]).height();null!=o&&(t=t<o?o:t)}for(r=0;r<e.length;r++)jQuery(e[r]).css("height",t+"px")},adjustScrollProgress=function(){if(0!=jQuery(_stickyTopBarProgressBarEl).length){var e,t=-1,r=jQuery(document).height()-jQuery("body").height()-_stickyTopBarOffset;e=Math.round((jQuery(document).scrollTop()-_stickyTopBarOffset)/r*100),jQuery(_stickyTopBarProgressBarEl).css("width",e+"%");for(var o=_chapterTops.length-1;0<=o;o--)if(jQuery(document).scrollTop()>=_chapterTops[o]){t=o+1;break}return-1!=t&&adjustChapterLinks(t),t}},adjustChapterLinks=function(e){jQuery(_chapterLinkEl).each(function(){jQuery(this).attr("href")!="#"+e?"function"==typeof _setChapterLinkCallback&&_setChapterLinkCallback(this,!1):("function"==typeof _setChapterLinkCallback&&_setChapterLinkCallback(this,!0),_onChapter=e)})},adjustMultiSizedImages=function(){"undefined"!=typeof console&&console.log("%c NOTICE adjustMultiSizedImages()) deprecated - lazy load is automatically managed","background:orange; color:black")},toTop=function(){jQuery("html, body").animate({scrollTop:0},600)},runTopMenuControl=function(){getIsSmall()?toggleMobileMenu(_mobileMenuEl,_topAndMobileMenuControl):toTop()},toggleMobileMenu=function(e,t){getIsSmall()&&(jQuery(e).toggle("fast"),jQuery(t).toggle("fast"))},goToChapter=function(e){var t=jQuery(_chapterElPrefix+e).offset().top-_stickyTopBarHeight+1,r=e<_onChapter?_onChapter-e:e-_onChapter,o=Math.floor(1e3/(_chapterTops.length-(_chapterTops.length-r)));jQuery("html, body").animate({scrollTop:t},o,function(){adjustChapterLinks(e),"function"==typeof _chapterSetCompleteCallback&&_chapterSetCompleteCallback(e)}),_onChapter=e},animateOverflowContent=function(e,t,r,o,a){if(a==_onChapter){var n=jQuery(e).css("background-position").split(" "),i=isNaN(t)?t:t+parseInt(n[0])+"px",l=isNaN(r)?r:r+parseInt(n[1])+"px";jQuery(e).css({"background-position":i+" "+l})}window.setTimeout(function(){animateOverflowContent(e,t,r,o,a)},o)},cycleImages=function(e,t){var r=jQuery(e+" .active"),o=0<r.next().length?r.next():jQuery(e+" img:first");o.css("z-index",2),r.fadeOut(t,function(){r.css("z-index",1).show().removeClass("active"),o.css("z-index",3).addClass("active")})},getScrollBarWidth=function(){return window.innerWidth-document.documentElement.clientWidth};

/**
 * v1.0 - Copyright 2014 Madden Media - All rights reserved.
 *
 * Content-specific layout functionality. These functions
 *    make many assumptions about content contained in the page.
 *
 * NOTE: Assumes that madden-content-frameworks-v1.0.js has been loaded and
 *    that the initial view types (mobile, tablet, etc.) have been defined.
 */

// mobile can call resize during scroll - we can cache width
//    and check if an actual resize happens
var _winWidth = 0;
var scrollifyCheck = true;
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
// STOCK EVENT FUNCTIONS
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////

//
// Called on document ready
//
contentOnReady = function() {
  // set the window width
  _winWidth = $(window).width();

  if (getIsLarge() || getIsNewerIPad()) {
    var adjust = getIsNewerIPad() ? 0.12 : 0.18;
  }

  // Recommended Reads links

  var relatedLinks = [
    {
      title: "Seeing is Believing",
      link: "https://www.experiencekissimmee.com/seeing-is-believing"
    },
    {
      title: "Princess For A Day",
      link: "https://www.experiencekissimmee.com/disney-princess-for-a-day"
    },
    {
      title: "Sweets and Steampunk",
      link:
        "https://www.experiencekissimmee.com/fun-at-toothsome-chocolate-emporium"
    }
  ];

  // footer links
  buildRelatedLinks(relatedLinks);

  equalizeElementHeightsToTallest($(".linkTitleWrapper"));

  // End Recommended Reads links

  // ipad pro will use large size, but needs backgrounds set to scroll, not fixed
  unFixBGImagesForIPads();

  customAdjustLayout(true);

  /////////////////
  //START COYA CODE
  /////////////////

  $.scrollify({
    section: ".quickScroll",
    sectionName: "section-name",
    interstitialSection: ".nonScroll",
    easing: "easeOutExpo",
    scrollSpeed: 1000,
    offset: 0,
    scrollbars: true,
    standardScrollElements: "normalScroll",
    setHeights: false,
    overflowScroll: true,
    updateHash: false,
    touchScroll: false,
    before: function() {},
    after: function() {},
    afterResize: function() {},
    afterRender: function() {}
  });
  if ($(window).width() < 768) {
    $.scrollify.disable();
  }

  //checking to see if it's an itinerary link, if so generate the specific page
  var itinerary = getUrlParameter("itinerary");
  if (itinerary) {
    for (var i = 0; i < 6; i++) dynamicText(itinerary.charAt(i), i + 1);
    $("#ci0, .quiz, #intro").hide();
    $.scrollify.disable();
    scrollifyCheck = false;
    $(".copyBox span").html(
      "https://www.visitbuffaloniagara.com/choose-your-buffalo-adventure/?itinerary=" +
        newItinerary
    );
    $(".copyBox textarea").text(
      "https://www.visitbuffaloniagara.com/choose-your-buffalo-adventure/?itinerary=" +
        newItinerary
    );
    var ogImg = jQuery(this).data("ogimage");
    $(".socialIcon.mail").attr(
      "href",
      buildSocialShareLinkCustom("EMAIL", ogImg, itinerary)
    );
    $(".socialIcon.facebook").attr(
      "onclick",
      buildSocialShareLinkCustom("FACEBOOK", ogImg, itinerary)
    );
    $(".socialIcon.twitter").attr(
      "href",
      buildSocialShareLinkCustom("TWITTER", ogImg, itinerary)
    );
  } else {
    $("#mainSection").css("display", "none");
  }

  //////////////////////////
  //ALL THE QUIZ FUNCTIONS
  //////////////////////////

  //function to switch which quiz question is on screen
  function switchQuizSection(goTo, hide2) {
    if (
      $(".q" + goTo).hasClass("visited") ||
      $(".q" + goTo)
        .prev()
        .hasClass("visited")
    ) {
      $(".quizNav .active").removeClass("active");
      $(".quizSection.active").removeClass("active");
      $(".qn" + goTo).addClass("active");
      $(".q" + goTo).addClass("active");
      if (goTo > 1) {
        $(".quizNav .fa-chevron-left").show();
      } else $(".quizNav .fa-chevron-left").hide();
      if (
        $(".q" + goTo)
          .next()
          .hasClass("visited")
      ) {
        $(".quizNav .fa-chevron-right").show();
      } else $(".quizNav .fa-chevron-right").hide();
    }
  }

  //function to add the right text to each chapter
  function dynamicText(answerIndex, sectionIndex) {
    var chapterText = $(".chapter.c" + sectionIndex + " section p");
    var chapterTitle = $(".chapterImage.c" + sectionIndex + " .photoCaption p");
    var chapterLink = $(".chapter.c" + sectionIndex + " section .sectionCta");
    $(".chapterImage.c" + sectionIndex).addClass("option" + answerIndex);
    if (sectionText[sectionIndex][answerIndex])
      chapterLink.attr("href", sectionText[sectionIndex][answerIndex]["link"]);
    if (sectionText[sectionIndex][answerIndex])
      chapterTitle.html(sectionText[sectionIndex][answerIndex]["title"]);
    if (sectionText[sectionIndex][answerIndex])
      chapterText.html(sectionText[sectionIndex][answerIndex]["text"]);
    if (sectionText[sectionIndex][answerIndex])
      chapterLink.html(sectionText[sectionIndex][answerIndex]["cta"]);
  }

  //all the click functions for the quiz section
  $(".quizNav span").click(function() {
    switchQuizSection($(this).index());
  });
  $(".quizNav .fa-chevron-left").click(function() {
    if ($(".quizNav .active").index() != 1)
      switchQuizSection($(".quizNav .active").index() - 1);
  });
  $(".quizNav .fa-chevron-right").click(function() {
    if ($(".quizNav .active").index() != 7)
      switchQuizSection($(".quizNav .active").index() + 1);
  });

  var openedModal = false;
  $(".quizAnswer").click(function() {
    $(this).addClass("chosen");
    $(this)
      .siblings()
      .removeClass("chosen");
    var i =
      $(this)
        .parent()
        .index() + 1;
    $(this)
      .parent()
      .addClass("visited");
    $(".quizNav span:nth-child(" + i + ")").addClass("visited");
    if ($(".quizNav .active").index() != 6) {
      switchQuizSection($(".quizNav .active").index() + 1);
    } else {
      if (!openedModal) {
        $(".createPageModal").addClass("active");
        openedModal = true;
      }
    }

    dynamicText(
      $(this).index(),
      $(this)
        .parent()
        .index()
    );
  });

  $(".returnToQuiz").click(function() {
    $(".createPageModal").removeClass("active");
    $(".createPage").addClass("active");
  });

  $(".createPage").click(function() {
    setTimeout(function() {
      $("#mainSection").css("display", "block");
      var position = $("#mainSection").offset();
      var x = position.top - parseInt($("#mainSection").css("margin-top"), 10);
      $("html, body").animate(
        {
          scrollTop: x
        },
        600,
        function() {
          $("#ci0").hide();
          $("#intro").hide();
          $(".quiz").hide();
          $("html, body").animate({ scrollTop: 0 }, 0);
          $.scrollify.disable();
          scrollifyCheck = false;
          $(".floatingNav").show();
        }
      );
    }, 300);

    //set up link sharing
    var newItinerary = "";
    $(".chosen").each(function() {
      newItinerary += $(this).index();
    });
    $(".copyBox span").html(
      " https://www.visitbuffaloniagara.com/choose-your-buffalo-adventure/?itinerary=" +
        newItinerary
    );
    $(".copyBox textarea").text(
      " https://www.visitbuffaloniagara.com/choose-your-buffalo-adventure/?itinerary=" +
        newItinerary
    );
    //Building Social Share Links
    var ogImg = jQuery(this).data("ogimage");
    $(".socialIcon.mail").attr(
      "href",
      buildSocialShareLinkCustom("EMAIL", ogImg, newItinerary)
    );
    $(".socialIcon.facebook").attr(
      "onclick",
      buildSocialShareLinkCustom("FACEBOOK", ogImg, newItinerary)
    );
    $(".socialIcon.twitter").attr(
      "href",
      buildSocialShareLinkCustom("TWITTER", ogImg, newItinerary)
    );
  });

  //////////////////////////
  //OTHER CLICK FUNCTIONS
  //////////////////////////
  $(".copyBox").click(function() {
    copyText = $(this).find("textarea");
    copyText.select();
    document.execCommand("copy");
    $(this).addClass("copied");
    setTimeout(function() {
      $(".copyBox").removeClass("copied");
    }, 2000);
  });

  $("#intro .scrollPrompt").click(function() {
    $("html, body").animate(
      {
        scrollTop: $(".quiz").offset().top
      },
      600
    );
  });

  /////////////////////
  //END COYA CODE
  /////////////////////

  // add the complete class to the loader
  $("#loading").addClass("complete");
};

//
// Called on document scroll
//
getActiveChapter = function(el) {
  var elOT = el.offset().top;
  return elOT + jQuery(el).outerHeight() <= jQuery(window).scrollTop() ||
    elOT >= jQuery(window).scrollTop() + jQuery(window).height()
    ? false
    : true;
};
contentOnScroll = function() {};

//
// Called on a touch move on mobile
//
contentOnTouchMove = function() {};

//
// Called on document resize
//
contentOnResize = function() {
  customAdjustLayout();

  if (scrollifyCheck) {
    if ($(window).width() < 768) {
      $.scrollify.disable();
    } else {
      $.scrollify.enable();
    }
  }
};

/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
// CUSTOM FUNCTIONS
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////

//
// The frameworks was given this function to handle setting chapter buttons
//    when the chapter is set
//
// chapterEl: The chapter link DOM element
// on: Is it being turned on? (true|false)
//
customChapterLinkAdjust = function(chapterEl, on) {
  $(chapterEl).attr(
    "class",
    on ? "navLink chapterLink noGA on" : "navLink chapterLink noGA"
  );
};

//
// Adjust this specific layout after a load or resize event
//
// isLoad: Is this being called by a load or resize event?
//
customAdjustLayout = function(isLoad) {
  var localNotJustTouchScroll = isLoad;

  equalizeElementHeightsToTallest($(".linkTitleWrapper"));

  // is it really a resize?
  if ($(window).width() != _winWidth) {
    // yes
    localNotJustTouchScroll = true;
    _winWidth = $(window).width();
  }

  if (localNotJustTouchScroll || isLoad) {
    // resize footer links to be equal height of the tallest one
    //equalizeRelatedLlinks();
  }
};

var getUrlParameter = function getUrlParameter(sParam) {
  var sPageURL = decodeURIComponent(window.location.search.substring(1)),
    sURLVariables = sPageURL.split("&"),
    sParameterName,
    i;

  for (i = 0; i < sURLVariables.length; i++) {
    sParameterName = sURLVariables[i].split("=");
    console.log(sParameterName);

    if (sParameterName[0] === sParam) {
      return sParameterName[1] === undefined ? true : sParameterName[1];
    }
  }
};

buildSocialShareLinkCustom = function(site, ogImage, itinerary) {
  var link = "";
  var url = "";
  var encURL = "";
  var encTitle = encodeURIComponent(document.title);
  var encOGImage = encodeURIComponent(ogImage);

  // is this running locally? if so, search in a known place or two for an online story link
  if (location.protocol == "file:") {
    var ogLink = jQuery("body").data("online-url");
    var cLink = jQuery("link[rel='canonical']").href;
    if (typeof ogLink !== "undefined") {
      url = ogLink;
    } else if (typeof cLink !== "undefined") {
      url = cLink;
    }

    // if the url is still empty, then we can't link to share the
    //    story - tell the caller that with an empty string
    if (url == "") {
      // MAY EXIT THIS BLOCK
      return null;
    }
  } else if (url == "") {
    // just set the url from the current link
    url = [location.protocol, "//", location.host, location.pathname].join("");
  }

  // now encode the url
  url += "?itinerary=" + itinerary;
  encURL = encodeURIComponent(url);

  // and set the link
  switch (site) {
    case "FACEBOOK":
      link =
        "window.open('https://www.facebook.com/sharer/sharer.php?u=" +
        encURL +
        "','facebook-share-dialog', 'width=626,height=436'); return false;";
      break;
    case "EMAIL":
      link =
        "mailto:?subject=I wanted you to see this site&body=Check out my itinerary results from this cool article on vacationist.com: " +
        encURL;
      break;
    case "TWITTER":
      link =
        "https://twitter.com/intent/tweet?text=" +
        encTitle +
        "%3A%20" +
        encURL +
        "&amp;source=webclient";
      break;
  }

  return link;
};

$(window).on("beforeunload", function() {
  $(window).scrollTop(0);
});

var sectionText = {
  "1": {
    "1": {
      title: "InnBuffalo",
      text:
        'Interested in experiencing &ldquo;preservation in progress?&rdquo; The renovation of this historic boutique hotel in the Elmwood Village uncovered many defining details that survived the mansion&rsquo;s 115-year history. Guests can appreciate these elements up close in one of <a href="https://www.visitbuffaloniagara.com/businesses/innbuffalo/">InnBuffalo&rsquo;s</a> nine beautifully appointed suites and common areas. Added bonus: your stay includes breakfast, and the Inn is located in Elmwood Village&mdash;a walker&rsquo;s paradise!',
      link: "https://www.visitbuffaloniagara.com/businesses/innbuffalo/",
      cta: "Book A Room"
    },
    "2": {
      title: "The Richardson Hotel",
      text:
        'Old world charm meets contemporary sophistication at The Richardson Hotel. A hotel set in one of Buffalo’s most architecturally significant settings opened in 2023. The Richardson Olmsted Campus, a 19th century National Historic Landmark by acclaimed architect Henry Hobson Richardson, originally functioned as the Buffalo State Asylum for the Insane before sitting disused for over 30 years. Its rehabilitation enters its next chapter with the opening of The Richardson Hotel, an 88-room urban resort honoring the building’s original architectural features. Grab a drink or a coffee at Forest Street Bistro and Cafe Calvert, and walk around in awe at this property that embodies the city’s broader rebirth.',
      link:
        "https://www.visitbuffaloniagara.com/businesses/the-richardson-hotel/",
      cta: "Book A Room"
    },
    "3": {
      title: "Roycroft Inn",
      text:
        "Immerse yourself in the Roycroft Inn, a National Historic Landmark in East Aurora that dates back to the early 20th century. Back then, the inn hosted guests and artisans of the Roycroft Campus, a pioneering community in the American Arts and Crafts Movement. The inn reopened in 1995 following a meticulous restoration;  extensive woodwork, artistry and historic decor found throughout its common spaces and suites reflects its rich Arts and Crafts legacy. The Roycroft Inn is a bucket-list destination for devoted followers of the Arts and Crafts movement and anyone looking for a weekend getaway in the quaint, historic village of East Aurora.",
      link: "https://www.visitbuffaloniagara.com/businesses/roycroft-inn-3/",
      cta: "Book A Room"
    },
    "4": {
      title: "Curtiss Hotel",
      text:
        'Housed in the historic Harlow C. Curtiss building, the <a href="https://www.visitbuffaloniagara.com/businesses/curtiss-boutique-hotel/">Curtiss Hotel</a> offers 68 luxurious guest rooms and a rooftop lounge with stunning views of downtown Buffalo, Lake Erie and the Canadian shoreline. Listed on the National Register of Historic places in 2008 and reopened as a hotel in recent years, the Harlow C. Curtiss building is one of the largest terra cotta structures of its type.',
      link:
        "https://www.visitbuffaloniagara.com/businesses/curtiss-boutique-hotel/",
      cta: "Book A Room"
    }
  },
  "2": {
    "1": {
      title: "Explore Buffalo Tour",
      text:
        'Offering indoor and outdoor tours in every season, <a href="https://www.visitbuffaloniagara.com/businesses/explore-buffalo/">Explore Buffalo</a> is the perfect way to experience a large swath of Buffalo&rsquo;s architectural landmarks in one fell swoop. Tour themes include neighborhoods, downtown, Gilded Age, waterfront and food. Whether you want to walk, kayak or view the city from the comfort of a bus, you&rsquo;ll have no trouble finding the tour that&rsquo;s right for you.',
      link: "https://www.visitbuffaloniagara.com/businesses/explore-buffalo/",
      cta: "Learn More"
    },
    "2": {
      title: "Frank Lloyd Wright&rsquo;s Martin House Complex",
      text:
        'Considered by scholars to be one of Wright&rsquo;s greatest achievements of the Prairie period, the <a href="https://www.visitbuffaloniagara.com/businesses/frank-lloyd-wrights-martin-house/">Martin House</a> Complex consists of six magnificently restored, interconnected buildings set across a one-acre campus in the heart of the city. Visitors can choose from a number of tours of this National Historic Landmark&mdash;from one-hour house tours to all-day Wright tours that include many of his other half-dozen Buffalo designs. Wright once called the Martin House a &ldquo;well-nigh perfect composition.&rdquo;&nbsp; It&rsquo;s easy to see why, with design features that include a 100-foot-long pergola, 8.5 miles of wood trim and 394 examples of art glass, including the famed &ldquo;Tree of Life&rdquo; window.',
      link:
        "https://www.visitbuffaloniagara.com/businesses/frank-lloyd-wrights-martin-house/",
      cta: "Learn More"
    },
    "3": {
      title: "Head to the waterfront",
      text:
        'It was once the dark side of town where truckers went to refuel, grain scoopers grabbed a beer and street racers burned rubber on an empty stretch of highway. Fences kept the curious away from the water and industrial debris littered empty lots. Today, the fences have come down, those lots have become parks and a bike path links the inner and outer harbors. While the occasional lake freighter still makes its way to Buffalo’s harbor, the waterfront is now home to kayakers, paddle boarders, boaters, bikers and hikers – the site of a radical transformation from desolate to destination. Today, Buffalo’s waterfront is best experienced in four distinct locations: Canalside, which is located at the foot of Main Street in downtown; Erie Basin Marina, immediately adjacent to Canalside; the Buffalo River, which twists and turns from downtown through the Old First Ward and Valley neighborhoods; and the Outer Harbor, the massive parcel of greenspace, bike paths and marinas on the Lake Erie shore.',
      link:
        "https://www.visitbuffaloniagara.com/waterfrontfun/",
      cta: "Learn More"
    }
  },
  "3": {
    "1": {
      title: "Remedy House",
      text:
        'Looking for a cozy caf&eacute; vibe in a stunning, repurposed corner of the city? <a href="https://www.visitbuffaloniagara.com/businesses/remedy-house/">Remedy House</a> is your place. With huge windows, simple, quality food and a great selection of coffee, tea, beer and wine, this caf&eacute; in Buffalo&rsquo;s Five Points Neighborhood is the perfect option whether you want to grab a quick bite or settle in for a couple of hours with a good book. Remedy House&rsquo;s wedge-shaped exterior&mdash;with its gradually narrowing walls eventually meeting at the front door&mdash;is a neighborhood architectural landmark in its own right.',
      link: "https://www.visitbuffaloniagara.com/businesses/remedy-house/",
      cta: "Get More Info"
    },
    "2": {
      title: "Betty’s",
      text:
        'Housed in a historic building on the edge of Buffalo’s funky Allentown neighborhood, Betty’s is your go-to lunch or brunch spot. The food is best described as “home cooking for today,” taking inspiration from various ethnic cuisines and utilizing only the freshest of ingredients. Breads, cakes, pies and other delicious baked goods are made on premises. In the summer months, snag a seat on their patio for some of Buffalo’s finest al-fresco dining.',
      link: "https://www.visitbuffaloniagara.com/businesses/bettys/",
      cta: "Get More Info"
    },
    "3": {
      title: "Gene McCarthy’s",
      text:
        'In the shadow of Buffalo’s towering grain silos sits Gene McCarthy’s pub, an icon of the city’s Old First Ward since 1964. Grain scoopers who lived in the neighborhood and worked in the silos whet their whistles at Gene’s after a long day’s work. The pub’s interior décor – shamrocks painted on the ceiling, a Fighting Irish banner and a portrait of John F. Kennedy hang from the walls and reflect the Ward’s rich Irish heritage. As rock climbers, kayakers and artists reinvigorate the nearby grain silos, Gene’s has added to its traditional appeal with a recently installed brewery next door that serves a dozen craft beers.' +
        '<br>' +
        'Gene’s also delivers a delicious twist on the Buffalo wing by taking its partnership with blue cheese to a whole new level. The McCarthy’s-style wing features a sauce that combines blue cheese with hot and BBQ flavors. It’s topped with crumbly blue cheese and served with a side of blue cheese.',
      link: "https://www.visitbuffaloniagara.com/businesses/gene-mccarthysold-first-ward-brewing-co/",
      cta: "Get More Info"
    }
  },
  "4": {
    "1": {
      title: "RiverWorks",
      text:
        'Housed in the former GLF grain silos, <a href="https://www.visitbuffaloniagara.com/businesses/buffalo-riverworks/">Buffalo RiverWorks</a> is simultaneously a brewery, restaurant, adventure and entertainment complex, and a reminder of Buffalo&rsquo;s industrial heritage. With rock climbing, ziplining, roller derby, ice-skating, curling and more, you&rsquo;ll find plenty to keep you busy here, whatever your style.',
      link:
        "https://www.visitbuffaloniagara.com/businesses/buffalo-riverworks/",
      cta: "Learn More"
    },
    "2": {
      title: "Buffalo Botanical Gardens",
      text:
        'The buildings and the buds vie for attention at <a href="https://www.visitbuffaloniagara.com/businesses/buffalo-erie-county-botanical-gardens/">Buffalo and Erie County Botanical Gardens</a>. The combined efforts of extraordinary visionaries David F. Day, Frederick Law Olmsted, John F. Cowell, Frederick A. Lord and William A. Burnham, the gardens are the perfect place to wander and find inspiration&mdash;rain or shine. Lord and Burnham&rsquo;s unique conservatory, based on the Crystal Palace in England, contains various themed gardens including a Panama Cloud Forest, Aquatic Garden, Asian Rainforest, and Cacti &amp; Succulents Room.',
      link:
        "https://www.visitbuffaloniagara.com/businesses/buffalo-erie-county-botanical-gardens/",
      cta: "Smell the Roses"
    },
    "3": {
      title: "Buffalo AKG Art Museum",
      text:
        'After more than three years of construction, the newly renamed Buffalo AKG Art Museum will reopen to the public on June 15, 2023. A new work of signature architecture designed by OMA/Shohei Shigematsu will add more than 30,000 square feet of space for the display of special exhibitions and the museum’s world-renowned collection of modern and contemporary art. The project also includes extensive renovation of the museum’s historic buildings, the creation of more than half an acre of public green space, and the installation of a stunning new artwork, Open Sky, by Olafur Eliasson and Sebastian Behmann.',
      link: "https://www.visitbuffaloniagara.com/buffalo-akg-art-museum-a-preview/",
      cta: "Learn More"
    }
  },
  "5": {
    "1": {
      title: "Bacchus Wine Bar &amp; Restaurant",
      text:
        'Located in the historic Calumet building, a restored 1906 Art Nouveau landmark, <a href="https://www.visitbuffaloniagara.com/businesses/bacchus-wine-bar-restaurant/">Bacchus Wine Bar &amp; Restaurant</a> is fine dining at its finest. Enjoy a seasonal menu of elegantly prepared and presented fresh, locally sourced ingredients. Pair any dish with a wine from their extensive, award-winning wine list and you&rsquo;re well on your way to a great night. Bacchus&rsquo; location, in the heart of Buffalo&rsquo;s entertainment district, makes it the perfect jumping off point for a night out on the town.',
      link:
        "https://www.visitbuffaloniagara.com/businesses/bacchus-wine-bar-restaurant/",
      cta: "Learn More"
    },
    "2": {
      title: "The Left Bank",
      text:
        "The Left Bank has been a mainstay of Buffalo’s dining scene for decades. This West Side favorite offers a 21st century menu within a repurposed 19th century building and a cozy outdoor patio tucked just off Richmond Avenue.  The restaurant is a frequent pre-show dinner stop before attending a Buffalo Philharmonic Orchestra performance at nearby Kleinhans Music Hall, and also hosts a popular Sunday jazz brunch.",
      link: "https://www.visitbuffaloniagara.com/businesses/left-bank/",
      cta: "Learn More"
    },
    "3": {
      title: "The Place",
      text:
        "The quiet corner of Lexington and Ashland Avenues has been an Elmwood Village gathering spot since the 1870s, when horse drawn carriages leaving Buffalo stopped by the wood-frame building for a meal. In 1941, new owner Bernie Flynn turned the place into The Place and introduced menu items that remain to this day like the “Flynnie’s Thinnie” sandwich (ham, swiss cheese and onion on toasted rye.) This neighborhood pub features dark mahogany walls with forest green plaid wallpaper, a copper top bar and hardwood floors.",
      link: "https://www.visitbuffaloniagara.com/businesses/the-place/",
      cta: "Learn More"
    }
  },
  "6": {
    "1": {
      title:
        "Buffalo Philharmonic Orchestra at Kleinhans Music Hall, Shea&rsquo;s Performing Arts Center",
      text:
        'Want to be wowed? Depending on the night of the week and what you&rsquo;re in the mood for, you&rsquo;re sure to find something that fits the bill at either <a href="https://www.visitbuffaloniagara.com/businesses/kleinhans-music-hall/">Kleinhans Music Hall</a> or <a href="https://www.visitbuffaloniagara.com/businesses/sheas-performing-arts-center/">Shea&rsquo;s Performing Arts Center</a>. If you&rsquo;re in the mood for live theater, Shea&rsquo;s, with its immaculately restored theater featuring Tiffany-designed interiors, will transport you to another time and place. Few things show the Buffalo community&rsquo;s devotion to its rich history and beautiful spaces as the stunning results of Shea&rsquo;s volunteer-led restoration efforts. If live music is more your speed, see the Buffalo Philharmonic Orchestra perform at Kleinhans, a 2,400 seat venue built in the late 1930s by Eliel and Eero Saarinen and renowned for its incredible acoustics and stunning architectural features.',
      link:
        "https://www.visitbuffaloniagara.com/businesses/kleinhans-music-hall/",
      cta: "Catch a Show"
    },
    "2": {
      title: "Buffalo’s Music Scene",
      text:
        'It’s the gritty guitar chords of a city always grinding. It’s the drum thump of an ethnically diverse population, packed together in rock clubs once host to jazz greats, alt rock gods and every performer in between. It’s the amplified exuberance of a region still rising from the ashes of its Rust Belt past, but now blooming from the artistic fervor that’s always kept it pulsating.' +
        '<br>' +
        'Step into Asbury Hall at Babeville and find downtown’s most angelic venue, set inside a converted 19th century Gothic Revival-style church. Catch a touring show inside the lower bowl of the historic Town Ballroom. Pack into Mohawk Place for genuine rock club grit, or find the city’s answer to Austin, Texas within the alt-country, honky tonk confines of Sportsmen’s Tavern or stroll in and get situated within the jazz-infused ambiance of Pausa Art House.',
      link:
        "https://www.visitbuffaloniagara.com/live-music-nightlife/",
      cta: "Learn More"
    },
    "3": {
      title: "Ballyhoo, The Dapper Goose",
      text:
        "While Buffalo is proud of its blue-collar, beer-drinking roots, a rising generation of talented mixologists have added a new twist to the city’s bar scene by creating innovative cocktails. We recommend Ballyhoo near Buffalo’s waterfront, known for its jam-infused cocktails and the mother of all ice cream sandwiches, and The Dapper Goose in Black Rock, which offers the delightful “Broken Garden Tools” that includes gin, celery, parsley, lemon, black pepper and Moroccan spice.",
      link: "https://www.visitbuffaloniagara.com/businesses/ballyhoo/",
      cta: "Learn More"
    }
  }
};


